Name:           perl-Catalyst-Devel
Version:        1.20
Release:        2%{?dist}
Summary:        Catalyst Development Tools
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Devel/
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Catalyst-Devel-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(Test::More)
# cpan
BuildRequires:  perl(Catalyst) >= 5.8000
BuildRequires:  perl(Catalyst::Action::RenderView) >= 0.04
BuildRequires:  perl(Catalyst::Plugin::ConfigLoader)
BuildRequires:  perl(Catalyst::Plugin::Static::Simple) >= 0.16
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Config::General) >= 2.42
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(Module::Install) >= 0.91
BuildRequires:  perl(Path::Class) >= 0.09
BuildRequires:  perl(Template) >= 2.14
BuildRequires:  perl(parent)

Requires:       perl(Catalyst) >= 5.8000
Requires:       perl(Catalyst::Action::RenderView) >= 0.04
Requires:       perl(Catalyst::Plugin::ConfigLoader)
Requires:       perl(Catalyst::Plugin::Static::Simple) >= 0.16
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Module::Install) >= 0.91
Requires:       perl(Path::Class) >= 0.09
Requires:       perl(YAML) >= 0.55
Requires:       perl(parent)

# for catalyst.pl
Requires:       perl-Catalyst-Runtime-scripts

### auto-added brs!
BuildRequires:  perl(File::ChangeNotify) >= 0.07

### auto-added reqs!
Requires:  perl(Config::General) >= 2.42
Requires:  perl(File::ChangeNotify) >= 0.07
Requires:  perl(File::Copy::Recursive)
Requires:  perl(Template) >= 2.14

# argh.  until bundled M::I is updated
BuildRequires:  perl(CPAN)

%description
The Catalyst::Devel package includes a variety of modules useful for the
development of Catalyst applications, but not required to run them. This is
intended to make it easier to deploy Catalyst apps. The runtime parts of
Catalyst are now known as Catalyst::Runtime.

%prep
%setup -q -n Catalyst-Devel-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes t/
%{perl_vendorlib}/*
%{_mandir}/man[13]/*
# we don't need this, and it's causing dep problems.
%exclude %{perl_vendorlib}/Catalyst/Restarter/Win32.pm

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.20-2
- rebuild against perl 5.10.1

* Tue Aug 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.20-1
- auto-update to 1.20 (by cpan-spec-update 0.01)
- altered br on perl(File::ChangeNotify) (0.03 => 0.07)
- altered req on perl(File::ChangeNotify) (0.03 => 0.07)

* Mon Jul 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.19-1
- auto-update to 1.19 (by cpan-spec-update 0.01)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.18-3
- exclude Catalyst::Restarter::Win32 (dep issues and unneeded on this
  platform)

* Sun Jun 14 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.18-2
- br CPAN until bundled M::I is updated

* Sun Jun 14 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.18-1
- auto-update to 1.18 (by cpan-spec-update 0.01)
- altered br on perl(Module::Install) (0.64 => 0.91)
- altered req on perl(Catalyst) (5.7000 => 5.8000)
- added a new req on perl(Config::General) (version 2.42)
- added a new req on perl(File::ChangeNotify) (version 0.03)
- added a new req on perl(File::Copy::Recursive) (version 0)
- altered req on perl(Module::Install) (0.64 => 0.91)
- added a new req on perl(Template) (version 2.14)

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.17-1
- auto-update to 1.17 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Catalyst) (5.7000 => 5.8000)
- altered br on perl(Config::General) (0 => 2.42)
- added a new br on perl(File::ChangeNotify) (version 0.03)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.10-1
- update to 1.10

* Wed Sep 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.08-2
- add perl(parent) as a requires (BZ#461581)

* Thu Jul 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.08-1
- update to 1.08

* Thu Jul 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.07-2
- drop requires on Catalyst::Manual that should have been dropped in 1.06-1

* Sun Jun 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.07-1
- update to 1.07
- require perl-Catalyst-Runtime-scripts; catalyst.pl lives in there now.

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- update to 1.06 (runtime to 5.7014)
- drop br on Catalyst::Manual; add br on parent

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.03-2
- rebuild for new perl

* Sat Mar 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- update to 1.03 (runtime to 5.7012)

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.02-3
- bump

* Tue Jul 24 2007 Chris Weyl <cweyl@alumni.drew.edu>
- add t/ to doc

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.02-1
- Specfile autogenerated by cpanspec 1.71.
